#include <bits/stdc++.h>
#define mp make_pair
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define xx first
#define yy second
#define srt(a) sort(a.begin(),a.end());
#define srtg(a,int) sort(a.begin(),a.end(),greater<int>())
#define lb(a,x) lower_bound(a.begin(),a.end(),x)
#define up(a,x) upper_bound(a.begin(),a.end(),x)
#define fnd(a,x) find(a.begin(),a.end(),x)
#define vstart auto startt=chrono::system_clock::now()
#define vend auto endd=chrono::system_clock::now()
#define vvreme chrono::duration<double> vremee=endd-startt
#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0)

using namespace std;

typedef long long ll;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;
typedef string str;

const int maxn=2e5+1;
pair<double,double> niz[maxn];

void solve(){
    int n;
    cin>>n;
    double sum=0;
    double res=0;
    for(int i=0;i<n;i++){
        cin>>niz[i].yy>>niz[i].xx;
        sum+=niz[i].yy;
    }
    sort(niz,niz+n);
    for(int i=0;i<n;i++){
        res=max(res,sum*niz[i].xx/100);
        sum-=niz[i].yy;
        while(i<n-1 && niz[i]==niz[i+1]){
            i++;
            sum-=niz[i].yy;
        }
    }
    cout<<fixed<<showpoint<<setprecision(5);
    cout<<res;
}

int main(){
    ios;
    int t=1;
    //cin>>t;
    while(t--) solve();
    return 0;
}